/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN
#define __MAIN

#include "stm32f0xx_rcc.h"
#include "stm32f0xx_gpio.h"
#include "stm32f0xx_i2c.h"
#include "stm32f0xx_pwr.h"
#include "stm32f0xx_exti.h"
#include "stm32f0xx_syscfg.h"
#include "stm32f0xx_misc.h"

typedef enum {
	q1 = 1,
	q2 = 2,
	q3 = 3,
	q4 = 4,
	q5 = 5
}EEPROM_layout;


// Function Prototypes
void initInputs(void);
void initOutputs(void);
void initEeprom(void);
void initEXIT(void);
uint8_t EEPRom_Read(uint8_t address, uint8_t reg, uint8_t *Data, uint8_t amount);
void EEPRom_Write(uint8_t address, uint8_t reg, uint8_t data);
uint8_t ReadPWMSettings(EEPROM_layout mode);
void WritePWMSettings(EEPROM_layout mode, uint8_t value);


#endif
